Button = {}
Button.__index = Button


function Button:new(x,y,h,w,c)
    local o = {}
    setmetatable(o,Button)
    o.xPos = x or 0
    o.yPos = y or 0
    o.height = h or 0
    o.width = w or 0
    o.color = c or {1,1,1}
    return o
end

function Button:draw()
    local r,g,b,a = love.graphics.getColor()

    love.graphics.setColor(self.color)
    love.graphics.rectangle("fill", self.xPos, self.yPos, self.width, self.height)
    love.graphics.setColor(r,g,b)
end

function Button:isButtonClicked(x,y)
    --if in x bounds
    if(x >= self.xPos and x <= (self.xPos + self.width)) then
        --if in y bounds
        if(y >= self.yPos and y <= (self.yPos + self.height)) then
            return true
        end
    end

    return false
end